Change log for cup package in Ubuntu

119 of 19 results
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-10-10
Deleted in cosmic-proposed (Reason: moved to release)
cup (0.11b-20160615-2) unstable; urgency=medium

  * Team upload.
  * Fix the watch file.
  * Install cup_runtime Maven artifact and use de.jflex:cup_runtime namespace.

 -- Markus Koschany <email address hidden>  Mon, 01 Oct 2018 14:18:23 +0200
Superseded in cosmic-release on 2018-10-10
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
cup (0.11a+20060608-8) unstable; urgency=medium

  * Team upload.
  * Fixed the parsing of grammar files with DOS line endings (Closes: #834671)

 -- Emmanuel Bourg <email address hidden>  Tue, 23 Aug 2016 11:05:04 +0200
Superseded in yakkety-release on 2016-09-06
Deleted in yakkety-proposed on 2016-09-07 (Reason: moved to release)
cup (0.11a+20060608-7) unstable; urgency=medium

  * Team upload.
  * Add jflex-1.6.1.patch and fix FTBFS with the latest version of jflex.
  * Tighten build-dependency on jflex to 1.6.1.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.

 -- Markus Koschany <email address hidden>  Wed, 27 Jul 2016 15:59:03 +0200
Superseded in yakkety-release on 2016-07-28
Published in xenial-release on 2016-04-11
Superseded in xenial-release on 2016-04-11
Deleted in xenial-proposed (Reason: moved to release)
cup (0.11a+20060608-6) unstable; urgency=medium

  * Team upload.
  * No-change upload due to bug #805228.

 -- Markus Koschany <email address hidden>  Wed, 30 Dec 2015 04:41:29 +0100
Superseded in xenial-release on 2015-12-30
Deleted in xenial-proposed on 2015-12-31 (Reason: moved to release)
cup (0.11a+20060608-4) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Remove Michael Koch from Uploaders. He is apparently not active anymore.
    (Closes: #654009)
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * Remove get-orig-source target because it does not work.
  * Add README.source.
  * Add debian/pom.xml and install maven artifacts.
  * Add debian/cup.poms and depend on maven-repo-helper.
  * Fix debian/watch file and update upstream URL.

 -- Markus Koschany <email address hidden>  Tue, 27 Oct 2015 19:11:43 +0100
Superseded in xenial-release on 2015-10-28
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
cup (0.11a+20060608-3build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.
 -- James Page <email address hidden>   Fri, 18 May 2012 11:36:09 +0100
Superseded in quantal-release on 2012-05-18
Published in precise-release on 2011-10-17
cup (0.11a+20060608-3) unstable; urgency=low

  * Remove Arnaud from Uploaders field.
  * Switch to source format 3.0.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 09:13:13 +0000
Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
cup (0.11a+20060608-2) unstable; urgency=low

  * Add missing Depends: ${misc:Depends}.
  * Change Section: java.
  * Update Standards-Version: 3.8.2.
  * Change debhelper compat level 5.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  05 Nov 2009 05:55:21 +0000
Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
cup (0.11a+20060608-1build2) jaunty; urgency=low

  * Revert last change, build-depend on 0.11a+20060608-1build1.

 -- Matthias Klose <email address hidden>   Mon, 20 Apr 2009 12:08:13 +0200
Superseded in jaunty-release on 2009-04-20
cup (0.11a+20060608-1build1) jaunty; urgency=low

  * Build including pregenerated binaries to avoid build dependency on itself.

 -- Matthias Klose <email address hidden>   Mon, 20 Apr 2009 11:51:53 +0200
Superseded in jaunty-release on 2009-04-20
cup (0.11a+20060608-1) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.

  [ Torsten Werner ]
  * new upstream version (Closes: #497588)
  * Add target get-orig-source to debian/rules.
  * Switch to cdbs.
  * Bump up Standards-Version: 3.8.0.

 -- Matthias Klose <email address hidden>   Thu,  13 Nov 2008 14:48:29 +0000

Available diffs

Superseded in jaunty-release on 2008-11-13
Obsolete in intrepid-release on 2013-02-20
cup (0.10k-7ubuntu1) intrepid; urgency=low

  * (Build-)depend on default-jre/-jdk.

 -- Matthias Klose <email address hidden>   Wed, 30 Jul 2008 16:58:53 +0200

Available diffs

Superseded in intrepid-release on 2008-07-30
cup (0.10k-7) unstable; urgency=low

  * Fixed program name. Closes: #415139.
  * Fixed doc-base section to 'Programming/Java'.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.
  * Added watch file.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 01:55:24 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
cup (0.10k-6) unstable; urgency=low

  * Use java-gcj-compat instead of kaffe.
  * Moved Build-Depends-Indep to Build-Depends.
  * Removed Wolfgang and added myself to Uploaders.
  * Updated Standards-Version.

 -- Martin Pitt <email address hidden>   Mon,  18 Jun 2007 07:32:43 +0100
Superseded in gutsy-release on 2007-06-18
Obsolete in feisty-release on 2009-08-20
cup (0.10k-5ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <email address hidden>   Tue, 20 Feb 2007 12:27:13 +0000
Superseded in feisty-release on 2007-02-20
Obsolete in edgy-release on 2008-06-19
cup (0.10k-5ubuntu1) edgy; urgency=low

  * Merge from debian unstable, remaining changes:
    - build using java-gcj-compat-dev

Superseded in edgy-release on 2006-07-06
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
cup (0.10k-4ubuntu1) dapper; urgency=low


  * Resync with debian 

 -- Charles Majola <email address hidden>  Thu, 17 Nov 2005 14:53:39 +0000
Obsolete in breezy-release on 2008-03-25
cup (0.10k-3ubuntu2) breezy; urgency=low


  * Build depend on java-gcj-compat-dev, depend on java-gcj-compat.

 -- Matthias Klose <email address hidden>  Wed, 29 Jun 2005 16:07:10 +0200
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
cup (0.10k-3) unstable; urgency=low


  * Fixed dependency. (closes:#177751)

 -- Takashi Okamoto <email address hidden>  Sun, 18 Jan 2004 03:10:20 +0900
119 of 19 results